<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flex</title>
    <style>
        html,
        body {
            width: 100%;
            height: 100%;
            margin: 0;
            padding: 0;
        }

        .container {
            background: lightblue;
            width: 500px;
            height: 300px;
            display: flex;
            /* flex-direction: column-reverse; */
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;
        }

        .container div {
            border: 1px solid blue;
            display: flex;
            justify-content: center;
            align-items: center;
            /* flex-direction: row; */
            height: 50px;
        }

        .div1 {
            flex-basis: 300px;
            order: 5
        }

        .div2 {
            flex-basis: 250px;
            order: 1;
        }

        .div3 {
            flex: 1;
            order: 2;
        }

        .div4 {
            order: 3;
        }

        .div5 {
            order: 4;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="div1">1</div>
        <div class="div2">2</div>
        <div class="div3">3</div>
        <div class="div4">4</div>
        <div class="div5">5</div>
    </div>
</body>

</html>